Page MenuHomePhabricator

TaskRecommendationImpression.event_offset is set to page offset, not recommendation offset
Closed, ResolvedPublic

Description

TaskRecommendationImpression.event_offset is wrong. Corresponds to page number -- not the recommendation offset as spec'd in https://meta.wikimedia.org/wiki/Schema:TaskRecommendationImpression

Steps to reproduce:
0: Go to en.wikipedia.beta.wmflabs.org
1: Log into an account where user_id mod 4 is 2
2: Edit http://en.wikipedia.beta.wmflabs.org/wiki/Microsoft
3: Click "(Lightbulb) Recommendations"
4: Click forward (to view the second page)

The following event is logged:
{

"event":{
  "setId":"wDan8lyAabJu9wOqztmtYn6g9DETJU9o",
  "userId":4094,
  "pageId":1050,
  "interface":"flyout",
  "offset":1
},
"clientValidated":false,
"revision":-1,
"schema":"TaskRecommendationImpression",
"webHost":"en.wikipedia.beta.wmflabs.org",
"wiki":"enwiki"

}

Note that "offset" is set to 1. It should be set to 3.


Version: unspecified
Severity: normal

Details

Reference
bz70358

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport set Reference to bz70358.
Halfak created this task.Sep 3 2014, 6:06 PM
Halfak added a comment.Sep 3 2014, 6:31 PM

I just realized that revision is set to -1. Is that the intended behavior?

I think -1 means that the scheme didn't load properly. It seems to be the default value, which should be overridden by the schema code output by ResourceLoader.

clientValidated is also false, which is another sign of a problem (either in the schema module or in the instrumentation, probably the schema module in this case).

Change 158635 had a related patch set uploaded by Phuedx:
Fix TaskRecommendationImpression offset for flyout

https://gerrit.wikimedia.org/r/158635

phuedx added a comment.Sep 5 2014, 3:52 PM

https://gerrit.wikimedia.org/r/158635 fixes the incorrect offset issue. However, I'm not sure how to proceed with debugging the revision: -1/clientValidated: false issue.

swalling wrote:

(In reply to Sam Smith from comment #4)

https://gerrit.wikimedia.org/r/158635 fixes the incorrect offset issue.
However, I'm not sure how to proceed with debugging the revision:
-1/clientValidated: false issue.

I split this issue in to bug 70454

Change 159551 had a related patch set uploaded by Mattflaschen:
Have flyout depend on required schema, TaskRecommendationImpression

https://gerrit.wikimedia.org/r/159551

Change 158635 merged by jenkins-bot:
Fix TaskRecommendationImpression offset for flyout

https://gerrit.wikimedia.org/r/158635

Fixed.

159551 is actually for bug 70454 (I mistagged it). That is pending review.